{#-#####################################################################
 # Jinja2 template for /etc/network/interfaces
 #======================================================================
 # Master macro to render the full config of a network interface
 ####################################################################-#}
{#-=====================================================================
 # Render a single network interface configuration
 #----------------------------------------------------------------------
 # This macro renders a single interface as a series of auto, allow-*
 # and iface stanzas, depending on the methods configured with the
 # interface. Default values for the remote platform are supplied as a
 # 'defaults' parameter.
 #===================================================================-#}
{%- macro render(interface, indexes) -%}
  {%- if interface['enabled'] is sameas true -%}

    {#- Render allow-* stanzas -#}
    {%- set allow_stanzas = allow.generate(interface, indexes) -%}
    {%- if allow_stanzas -%}
      {{ allow_stanzas  }}
    {%- endif -%}

    {#- Render the common stanza -#}
    {%- set common_stanza = common.generate(interface, indexes) -%}
    {%- if common_stanza -%}
      {{ common_stanza }}
    {%- endif -%}

    {#- Render inet stanzas -#}
    {%- set inet_stanzas =
        inet.generate(interface, indexes, common_stanza) -%}
    {%- if inet_stanzas -%}
      {{ inet_stanzas }}
    {%- endif -%}

    {#- Render inet6 stanzas -#}
    {%- set inet6_stanzas =
        inet6.generate(interface, indexes, common_stanza) -%}
    {%- if inet6_stanzas -%}
      {{ inet6_stanzas }}
    {%- endif -%}
  
  {%- endif -%}
{%- endmacro -%}
